<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bootstrap flex</title>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div class="container-fluid">
      <h1>Bootstrap flex</h1>
      <p>
        use the flex class to create a flex container and transform directly
        children intro flex items
      </p>

      <h2>Centering elements</h2>
      <div
        style="height: 500px"
        class="bg-secondary d-flex justify-content-center align-items-center flex-column"
      >
        <div class="h-25 p-3 bg-danger">Flex A</div>
        <div class="h-25 p-3 bg-success">Flex B</div>
        <div class="h-25 p-3 bg-warning">Flex C</div>
      </div>

      <h2>Flex row</h2>
      <div class="bg-dark p-3 d-flex flex-row">
        <div class="p-3 bg-success">Flex A</div>
        <div class="p-3 bg-warning">Flex b</div>
        <div class="p-3 bg-danger">Flex C</div>
      </div>

      <h2>Flex row reverse</h2>
      <div class="bg-dark p-3 d-flex flex-row-reverse">
        <div class="p-3 bg-success">Flex A</div>
        <div class="p-3 bg-warning">Flex b</div>
        <div class="p-3 bg-danger">Flex C</div>
      </div>

      <h2>Flex row</h2>
      <div class="bg-dark p-3 d-md-flex justify-content-around">
        <div class="p-3 bg-success col-md-2">Flex A</div>
        <div class="p-3 bg-warning col-md-2">Flex b</div>
        <div class="p-3 bg-danger col-md-2">Flex C</div>
      </div>

      <h2>Flex with margin</h2>
      <div class="bg-dark p-3 d-flex">
        <div class="p-3 bg-success mr-auto">Flex A</div>
        <div class="p-3 bg-warning">Flex b</div>
        <div class="p-3 bg-danger">Flex C</div>
        <div class="p-3 bg-danger">Flex D</div>
      </div>

      <h2>Nested flex elements</h2>
      <div class="bg-dark p-3 d-block d-md-flex">
        <div class="p-3 bg-success mr-auto">Flex A</div>
        <div class="w-50 d-md-flex d-block justify-content-between">
          <div class="p-3 bg-info">Flex B</div>
          <div class="p-3 bg-primary">Flex C</div>
          <div class="p-3 bg-danger">Flex D</div>
        </div>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
